Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum CacheModeType

    java.lang.Object
      java.lang.Enum<CacheModeType>
          org.hibernate.annotations.CacheModeType

All Implemented Interfaces:
  Serializable, Comparable<CacheModeType>

    public enum CacheModeType

extends Enum<CacheModeType>

Enumeration for the different interaction modes between the session and the Level 2 Cache.

Author:
  Emmanuel Bernard, Carlos Gonz?lez-Cadenas

Enum Constant Summary
`GET`
`IGNORE`
`NORMAL`
`PUT`
`REFRESH`

Method Summary
`static CacheModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final CacheModeType GET

### IGNORE

    public static final CacheModeType IGNORE

### NORMAL

    public static final CacheModeType NORMAL

### PUT

    public static final CacheModeType PUT

### REFRESH

    public static final CacheModeType REFRESH

Method Detail

### values

    public static final CacheModeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CacheModeType c : CacheModeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CacheModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD